Bug 439521 - SELinux security context - undefiend
SELinux security context - undefiend
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-28 17:05 EDT by Flóki Pálsson
Modified: 2015-03-03 17:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-05 02:15:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
copy of /var/log/audit/audit.log (939 bytes, application/octet-stream)
2008-04-04 04:21 EDT, Flóki Pálsson
no flags Details

  None (edit)
Description Flóki Pálsson 2008-03-28 17:05:31 EDT
Description of problem:


Version-Release number of selected component (if applicable):
FC9 beta with all uppdates


How reproducible:


Steps to Reproduce:
1.
Install FC9 beta 
Language Icelandic  
Update all 
2.
3.
  
Actual results:
SELinux is preventing  ...
Numerus SELinus wornings.

I have seen no SELinux  security context in Nautilus colum 'SELinux context'  

[floki@localhost ~]$ ls -Z
drwxr-xr-x  floki floki unconfined_u:object_r:user_home_t:s0 Desktop
drwxr-xr-x  floki floki unconfined_u:object_r:user_home_t:s0 Documents
drwxr-xr-x  floki floki unconfined_u:object_r:user_home_t:s0 Download
drwxr-xr-x  floki floki unconfined_u:object_r:user_home_t:s0 Music
drwxr-xr-x  floki floki unconfined_u:object_r:user_home_t:s0 Pictures
drwxr-xr-x  floki floki unconfined_u:object_r:user_home_t:s0 Public
drwxr-xr-x  floki floki unconfined_u:object_r:user_home_t:s0 Templates
drwxr-xr-x  floki floki unconfined_u:object_r:user_home_t:s0 Videos
[floki@localhost ~]$ 



Expected results:


Additional info:
Comment 1 Josef Kubin 2008-04-03 20:42:42 EDT
# setenforce 1; setenforce 0;
# > /var/log/audit/audit.log

... reproduce your problem ...

Attach your /var/log/audit/audit.log file please,
thank you!

From your report I can't guess exactly what is your problem :-( ...
Maybe two bugs?
Comment 2 Flóki Pálsson 2008-04-04 04:21:40 EDT
Created attachment 300394 [details]
copy of  /var/log/audit/audit.log
Comment 3 Flóki Pálsson 2008-04-04 04:29:33 EDT
1.
[root@localhost ~]# setenforce 1; setenforce 0;
[root@localhost ~]# > /var/log/audit/audit.log
[root@localhost ~]# 

2.

... reproduce your problem ...
??

No SELinux context in Nautilus 2.22.1

[floki@localhost ~]$ ls -Z
drwxr-xr-x  floki floki unconfined_u:object_r:user_home_t:s0 Desktop
drwxr-xr-x  floki floki unconfined_u:object_r:user_home_t:s0 Documents
drwxr-xr-x  floki floki unconfined_u:object_r:user_home_t:s0 Download
-rw-rw-r--  floki floki unconfined_u:object_r:user_home_t:s0 fc9bcfusis.txt
-rw-rw-r--  floki floki unconfined_u:object_r:user_home_t:s0 fc9bcfusis.txt~
drwxr-xr-x  floki floki unconfined_u:object_r:user_home_t:s0 Music
drwxr-xr-x  floki floki unconfined_u:object_r:user_home_t:s0 Pictures
drwxr-xr-x  floki floki unconfined_u:object_r:user_home_t:s0 Public
drwxr-xr-x  floki floki unconfined_u:object_r:user_home_t:s0 Templates
drwxr-xr-x  floki floki unconfined_u:object_r:user_home_t:s0 Videos
[floki@localhost ~]$ 
[floki@localhost ~]

Attach your /var/log/audit/audit.log 
see comment #2
Comment 4 Flóki Pálsson 2008-04-04 17:12:29 EDT
After latest updates 
SELinux context in  now shown in Nautilus ( nautilus-2.22.1-4.fc9.x86_64)

Comment 5 Daniel Walsh 2008-04-04 17:37:07 EDT
Seems the nautilus SELinux patch is gone.
Comment 6 Matthias Clasen 2008-04-04 23:11:49 EDT
This is from the spec:

# This patch needs to be redone and pushed upstream
# Patch5:               nautilus-2.19.2-selinux.patch
Comment 7 Matthias Clasen 2008-04-05 11:34:24 EDT
Tomas, could you at some point look at redoing the selinux patch, and make it
suitable for upstream submission ?
Comment 8 Matthias Clasen 2008-05-05 02:15:28 EDT
The display of selinux context information has been fixed meanwhile. 

Note You need to log in before you can comment on or make changes to this bug.